# Visualization Library A lightweight C++ OpenGL middleware for 2D/3D graphics | [Home] [Tutorials] [All Classes] [Grouped Classes]

# vl::Sector::VisibilityCallback Class Reference

A callback object called each time a Sector becomes visible through a Portal. More...

`#include <SceneManagerPortals.hpp>`

Inheritance diagram for vl::Sector::VisibilityCallback:

List of all members.

## Public Member Functions
virtual void | operator() (const Camera *cam, SceneManagerPortals *psm, Sector *s, Portal *p)=0
| Callback.

## Detailed Description

A callback object called each time a Sector becomes visible through a Portal.

Note: a callback can be called multiple times with the same Sector argument if a Sector is discovered multiple times through different portals. Using callbacks can be very useful to perform special actions upon sector discovery, like enabling/disabling animations, enabling/disabling a ActorKdTree scene manager or a Terrain scene manager to render the external environment etc.

## Member Function Documentation

virtual void vl::Sector::VisibilityCallback::operator() | ( | const Camera * | cam,
|  | SceneManagerPortals * | psm,
|  | Sector * | s,
|  | Portal * | p |
| ) |  |  | `[pure virtual]`

Callback.

Note: a callback can be called multiple times with the same Sector argument if a Sector is discovered multiple times through different portals.

Parameters:

  | cam | The current Camera.
  | psm | The SceneManagerPortals that generated the callback.
  | s | The Sector that has become visible.
  | p | The Portal used to enter the Sector. It is set to NULL if `s` is the starting Sector (the Sector in which the camera is).

The documentation for this class was generated from the following file:

- E:/VisualizationLibrary/BuildSystem/VL_DISTRO/Visualization_Library_SDK/src/vl/SceneManagerPortals.hpp

Visualization Library v2009.08 Reference Documentation
Copyright 2005-2009 Michele Bosi. All rights reserved.
Updated on Sun Nov 29 11:11:50 2009.
Permission is granted to use this page to write and publish articles regarding Visualization Library.